# TODO: gettext support (there was a patch for some archaic version)
Summary:	DILLO - The FLTK Web Browser
Summary(pl.UTF-8):	DILLO - przeglądarka WWW
Name:		dillo
Version:	3.0.4
Release:	1
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	c85aab6b840527e1dd71b220a1dcfbab
Source1:	%{name}.desktop
Source2:	%{name}.png
# needs a review, disabled for now
Patch0:		%{name}-gzip_fallback.patch
Patch1:		libpng16.patch
URL:		http://www.dillo.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	fltk-devel >= 1.3.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.6.0
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dillo is a small FLTK based (GNOME is NOT required!) web browser.
Dillo aims to be a multi-platform browser alternative that's small,
stable, developer-friendly, usable, fast, and extensible.

%description -l pl.UTF-8
Dillo jest małą, opartą na bibliotece FLTK (GNOME nie jest wymagany)
przeglądarką WWW. Dillo ma być wieloplatformową alternatywną
przeglądarką, która jest mała, stabilna, przyjazna dla developerów,
użyteczna, szybka i rozszerzalna.

%prep
%setup -q
#%%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-cookies \
	--enable-ipv6 \
	--enable-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

#%%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/dillo
%attr(755,root,root) %{_bindir}/dillo-install-hyphenation
%attr(755,root,root) %{_bindir}/dpid
%attr(755,root,root) %{_bindir}/dpidc
%dir %{_libdir}/dillo
%dir %{_libdir}/dillo/dpi
%dir %{_libdir}/dillo/dpi/*
%attr(755,root,root) %{_libdir}/dillo/dpi/*/*.dpi
%dir %{_docdir}/dillo
%{_docdir}/dillo/user_help.html
%dir %{_sysconfdir}/dillo
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dillo/dillorc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dillo/domainrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dillo/dpidrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dillo/keysrc
%{_desktopdir}/dillo.desktop
%{_pixmapsdir}/dillo.png
%{_mandir}/man1/dillo.1*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dillo.git;a=log;h=master

* Fri Apr 11 2014 Jakub Bogusz <qboosh@pld-linux.org> cce8d63
- libpng epoch

* Fri Apr 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4238c7b
- up to 3.0.4
- added libpng16.patch
- force higher version of libpng-devel in BR to link against libpng16

* Fri Apr 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a1e5cb8
- try libpng16 first

* Fri Apr 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f6ac147
- check for libpng16 first.

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 1960bb8
- updated to 3.0.3
- removed outdated ac,libpng patches
- enabled ssl (alpha code, but it's common feature nowadays)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2640039
- release 3 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> beeb47d
- release 2

* Sun Dec 11 2011 witekfl <witekfl@pld-linux.org> 9f9baff
- up to 3.0.2
- BR: fltk-devel >= 1.3.0
- libpng.patch obsolete

* Fri Sep 09 2011 Zsolt Udvari <uzsolt@pld-linux.org> f676ec3
- 3.0
- untested (does not exist fltk-devel now)

* Wed Feb 24 2010 Szymon Siwek <sls@pld-linux.org> 15c5ed2
- packaged dillo man
- aspellized previous commitlog

* Wed Feb 24 2010 Szymon Siwek <sls@pld-linux.org> 8620dc0
- libpng.patch is still useful, nice

* Wed Feb 24 2010 Szymon Siwek <sls@pld-linux.org> 20ba49c
- merge from DEVEL

* Mon Feb 22 2010 Szymon Siwek <sls@pld-linux.org> 1775767
- ver. 2.2 (NFY)

* Fri Jan 29 2010 sparky <sparky@pld-linux.org> 711e3aa
- BR: fltk-devel

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 896c0fa
- rel 5; libpng fix

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 32ed700
- release 4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 403e964
- release 3

* Tue Mar 24 2009 duddits <duddits@pld-linux.org> 132f841
- reverted

* Tue Mar 24 2009 duddits <duddits@pld-linux.org> fabd671
- up to fit 2.0

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 6f52b49
- added -ac.patch to fix build
- release 2

